Package org.eclipse.mat.inspections

## Class DuplicatedClassesQuery

- java.lang.Object
- - org.eclipse.mat.inspections.DuplicatedClassesQuery

All Implemented Interfaces:
  `IDecorator`, `IIconProvider`, `IQuery`, `IResult`, `IResultTree`, `ISelectionProvider`, `IStructuredResult`, `ITestResult`

    public class DuplicatedClassesQuery
    extends Object
    implements IQuery, IResultTree, IIconProvider, ITestResult, IDecorator, ISelectionProvider

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.report.ITestResult

`ITestResult.Status`

### Field Summary

Fields
`ISnapshot` `snapshot`

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Fields inherited from interface org.eclipse.mat.query.ISelectionProvider

`EMPTY`

### Constructor Summary

Constructors
`DuplicatedClassesQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute​(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.
`List<?>` `getChildren​(Object parent)` Returns the child elements of the given parent.
`Column[]` `getColumns()` The columns of the tree or table.
`Object` `getColumnValue​(Object element, int columnIndex)` Returns the (unformatted) value of a table/tree cell.
`IContextObject` `getContext​(Object element)` The default context of the row which is used to display information in the object inspector.
`List<?>` `getElements()` Returns the root elements of the tree.
`URL` `getIcon​(Object element)`
`ResultMetaData` `getResultMetaData()` (Optionally) Return meta data of the result needed to fine-tune the display of the result.
`ITestResult.Status` `getStatus()`
`boolean` `hasChildren​(Object parent)` Returns whether the given element has children.
`boolean` `isExpanded​(Object row)` Should this node be expanded.
`boolean` `isSelected​(Object row)` Has the user selected this row?
`String` `prefix​(Object row)` Add before the object for example <local>
`String` `suffix​(Object row)` Add after the object

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

### Constructor Detail

#### DuplicatedClassesQuery

    public DuplicatedClassesQuery()

### Method Detail

#### execute

    public IResult execute​(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query

#### getStatus

    public ITestResult.Status getStatus()

Specified by:
  `getStatus` in interface `ITestResult`

#### getResultMetaData

    public ResultMetaData getResultMetaData()

Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

#### getColumns

    public Column[] getColumns()

Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`
Returns:
  an array of all the columns

#### getElements

    public List<?> getElements()

Description copied from interface: `IResultTree`
Returns the root elements of the tree.

Specified by:
  `getElements` in interface `IResultTree`
Returns:
  a list of all the root elements of the tree as opaque row objects representing each row which can be passed to `IResultTree.getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### hasChildren

    public boolean hasChildren​(Object parent)

Description copied from interface: `IResultTree`
Returns whether the given element has children.

Specified by:
  `hasChildren` in interface `IResultTree`
Parameters:
  `parent` - the opaque object used to indicate which branch
Returns:
  true if this element has children

#### getChildren

    public List<?> getChildren​(Object parent)

Description copied from interface: `IResultTree`
Returns the child elements of the given parent.

Specified by:
  `getChildren` in interface `IResultTree`
Parameters:
  `parent` - The row object as returned by the `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a list of children of this branch of the tree

#### getColumnValue

    public Object getColumnValue​(Object element,
                                 int columnIndex)

Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `element` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.
Returns:
  the cell value

#### prefix

    public String prefix​(Object row)

Description copied from interface: `IDecorator`
Add before the object for example <local>

Specified by:
  `prefix` in interface `IDecorator`
Parameters:
  `row` - used to find the row
Returns:
  the prefix or null

#### suffix

    public String suffix​(Object row)

Description copied from interface: `IDecorator`
Add after the object

Specified by:
  `suffix` in interface `IDecorator`
Parameters:
  `row` - used to find the row
Returns:
  the suffix or null

#### getIcon

    public URL getIcon​(Object element)

Specified by:
  `getIcon` in interface `IIconProvider`

#### getContext

    public IContextObject getContext​(Object element)

Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `element` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a context object holding details about that row

#### isExpanded

    public boolean isExpanded​(Object row)

Description copied from interface: `ISelectionProvider`
Should this node be expanded.

Specified by:
  `isExpanded` in interface `ISelectionProvider`
Parameters:
  `row` - the chosen row
Returns:
  true if it should be expanded.

#### isSelected

    public boolean isSelected​(Object row)

Description copied from interface: `ISelectionProvider`
Has the user selected this row?

Specified by:
  `isSelected` in interface `ISelectionProvider`
Parameters:
  `row` - the chosen row
Returns:
  true if selected